Package wx :: Class QueryNewPaletteEvent

[frames | no frames]

## Type QueryNewPaletteEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
                    QueryNewPaletteEvent

An EVT_QUERY_NEW_PALETE event indicates the window is getting keyboard focus and should re-do its palette.

This event is implemented under Windows only.

Method Summary
QueryNewPaletteEvent | ``__init__`(self, winid)` Constructor.
bool | `GetPaletteRealized(self)`
| ``SetPaletteRealized`(self, realized)` App should set this if it changes the palette.

Property Summary
| `PaletteRealized`: See `GetPaletteRealized` and `SetPaletteRealized`
| `thisown`: The membership flag

Method Details

### __init__(self, winid=0)
(Constructor)

Constructor.

  Parameters:
    `winid`
    (type=int)

  Returns:
    QueryNewPaletteEvent
  Overrides:
    `wx.Event.__init__`

### SetPaletteRealized(self, realized)

App should set this if it changes the palette.

  Parameters:
    `realized`
    (type=bool)

Property Details

### PaletteRealized

See `GetPaletteRealized` and `SetPaletteRealized`

  Get Method:
    `GetPaletteRealized`(self)
  Set Method:
    `SetPaletteRealized`(self, realized)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:10:41 2007 | http://epydoc.sf.net